import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.shop.store.express.logistics.getList,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.store.express.logistics.doEdit,
    method: 'post',
    data,
  })
}

export function enable(data) {
  return request({
    url: URL.shop.store.express.logistics.enable,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.shop.store.express.logistics.doDelete,
    method: 'post',
    data,
  })
}

export function getExpressList(params) {
  return request({
    url: URL.shop.store.express.logistics.getExpressList,
    method: 'get',
    params,
  })
}
